Subject: [bug#29582] [PATCH] gnu: git-modes: Rename to 'emacs-git-modes'.

From: Alex Kost <[email-masked]>
Date: Thu, 07 Dec 2017 23:26:07 +0300

Leo Famulari (2017-12-06 14:51 -0500) wrote:

> On Wed, Dec 06, 2017 at 10:16:12PM +0300, Alex Kost wrote:
>> Kyle Meyer (2017-12-05 16:23 -0500) wrote:
>> 
>> > Alex Kost <[email-masked]> writes:
>> >
>> >> Hello, what about renaming 'git-modes' to 'emacs-git-modes' (similarly
>> >> to 'emacs-paredit')?
>> >
>> > I'd like that.  Should magit and magit-svn also be converted to the
>> > "emacs-" prefix?
>> 
>> I don't know whether there is a strict policy to prefix all emacs
>> packages.  But I would prefer to leave "magit" ("magit-svn" therefore)
>> and "geiser" as they are now (without "emacs-" prefix).  For some reason
>> it looks more natural to me :-)
>
> Usually when we prefix package names, we only do it for libraries, but
> not for end-user applications.

Then I'm lost here: it is absolutely not clear for me where the border
between libraries and end-user applications lies in the Emacs world.
Such things as "emacs-dash" or "emacs-s" are definitely libraries but
most of the other Emacs packages are intended for users but we still
prefix them ("emacs-auctex", "emacs-pdf-tools", etc.)

-- 
Alex